<?php

	$author = get_user_by( 'slug', get_query_var( 'author_name' ) );
	$user_id = $author->ID;
	$td_user_info   = get_userdata($user_id);

	$posts_per_page = "12";
    $post_status = array( 'publish' );

	$search_args = apply_filters( 'autoroyal_get_inventory_cars_args', array(
		'post_type'           => 'vehicle',
		'post_status'         => $post_status,
		'posts_per_page'      => $posts_per_page,
		'offset'              => ( max( 1, get_query_var('paged') ) - 1 ) * $posts_per_page,
    	'ignore_sticky_posts' => 1,
    	'author'              => $user_id,
	) );

	$search_args = apply_filters( 'autoroyal_search_filter_parameters', $search_args );
	$cars_query = new WP_Query;
	$cars = $cars_query->query( $search_args );

	$max_num_pages = $cars_query->max_num_pages;

	// Dealer Info
	$dealer_name = get_user_meta( $user_id, 'dealer_name', true );
	$mobile_phone = get_user_meta( $user_id, 'mobile_phone', true );
	$office_phone = get_user_meta( $user_id, 'office_phone', true );
	$dealer_website = get_user_meta( $user_id, 'dealer_website', true );

	$dealer_address = get_user_meta( $user_id, 'dealer_address', true );
	$dealer_address_latitude = get_user_meta( $user_id, 'dealer_address_latitude', true );
	$dealer_address_longitude = get_user_meta( $user_id, 'dealer_address_longitude', true );

	$dealer_flag = get_user_meta( $user_id, 'dealer_flag', true );
	$flag = "";
    if(!empty($dealer_flag)) {
    	$flag = get_template_directory_uri().'/assets/images/flags/'. $dealer_flag .'.svg'; 
    }

	if( empty($dealer_name)) {
		$dealer_name = $td_user_info->display_name;
	}

get_header(); ?>

<main class="search-results-wrapp bg-grey">

	<div class="autoroyal-page-title">

        <div class="container pt-5 pb-5">

        	<div class="row">

	        	<div class="col-md-8 d-flex align-items-center">

					<?php 

						$dealer_cover_image = get_user_meta( $user_id, 'dealer_cover_image', true );
	                    if(!empty($dealer_cover_image)) {
	                        $dealer_cover_image_size = autoroyal_get_resized_image( $dealer_cover_image, 'thumbnail' );
	                    }

						if ( !empty($dealer_cover_image_size) ) { ?>
							<div class="header-image"><img src="<?php echo esc_attr($dealer_cover_image_size); ?>" alt="dealer-shop-image" class="img-responsive"></div>
					<?php } ?>

					<div class="header-details">
						<h2 class="entry-title mb-2">
							<?php echo esc_attr($dealer_name); ?>
							<?php if($verified == 1) { ?>
							<span class="verified-agency" data-toggle="tooltip" data-placement="top"  data-original-title="<?php esc_attr_e('Verified','autoroyal'); ?>">
								<svg version="1.1" id="Layer_2" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"
										 viewBox="0 0 348 348" width="32px" style="enable-background:new 0 0 348 348;" xml:space="preserve">
									<g>
										<path style="fill:#00C9A7;" class="st0" d="M317.3,54.4c-59.4,0-104.9-17-143.3-54.4C135.5,37.4,90,54.4,30.7,54.4c0,97.4-20.2,236.9,143.3,293.6
											C337.5,291.3,317.3,151.8,317.3,54.4z"/>
										<path style="fill:#02AD8C;" class="st1" d="M317.3,54.4c-59.4,0-104.9-17-143.3-54.4v348C337.5,291.3,317.3,151.8,317.3,54.4z"/>
										<polygon style="fill:#ffffff;" class="st2" points="145.1,257 76.1,188 114.1,150 145.1,181 234.1,92 272.1,130 	"/>
										<polygon style="fill:#eeeeee;" class="st3" points="174.8,227.3 272.1,130 234.1,92 174.8,151.3 	"/>
									</g>
								</svg>
							</span>
							<?php } ?>
						</h2>
						<?php if(!empty($dealer_address)) { ?>
						<h5 class="text-white mb-2">
							<?php if(!empty($flag)) { ?>
								<div class="agency-flag" style="background-image: url(<?php echo esc_url($flag); ?>);" ></div>
							<?php } ?>
							<?php echo esc_attr($dealer_address); ?>
						</h5>
						<?php } ?>
						<p class="text-white mb-0">
							<?php if( !empty($office_phone)) { ?>
						  		<span class="dealer-info-phone mr-3"><i class="material-icons">phone</i> <a href="callto:<?php echo esc_attr($office_phone); ?>" ><?php echo esc_attr($office_phone); ?></a></span>
					  		<?php } ?>
					  		<?php if( !empty($dealer_website)) { ?>
						  		<span class="dealer-info-phone mr-3"><i class="material-icons">language</i> <a href="callto:<?php echo esc_attr($dealer_website); ?>" ><?php echo esc_attr($dealer_website); ?></a></span>
					  		<?php } ?>
						</p>
					</div>

				</div>

				<div class="col-md-4 d-flex align-items-center justify-content-end">

					<a class="btn btn-invers-colors" href="#" data-toggle="modal" data-target="#contactDealerModal">
	                    <span class="fa fa-envelope mr-2"></span>
	                    <?php esc_html_e( 'Send a Message', 'autoroyal' ) ?>
	              	</a>

	              	<!-- Modal -->
					<div class="modal fade bd-example-modal-lg" id="contactDealerModal" tabindex="-1" role="dialog" aria-hidden="true">
					  <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
					    <div class="modal-content">
					      <div class="modal-header">
					        <h5 class="modal-title" id="exampleModalLongTitle"><?php esc_html_e( 'Contact', 'autoroyal' ); ?> <?php echo esc_attr($dealer_name); ?></h5>
					        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
					          <span aria-hidden="true">&times;</span>
					        </button>
					      </div>
					      <div class="modal-body">
					        <div id="cd-form-wrapp" class="cd-form-wrapp">

								<input type="hidden" id="mail_sent_status" value="0" />

								<?php $thankyou_text = get_option( 'autoroyal_contact_form_thankyou_text' ); if(!empty($thankyou_text)) { ?>
								
								<h5 class="contact-message-sent-response heading"><?php echo wp_kses($thankyou_text, true); ?></h5>

								<?php } ?>

							    <p><?php esc_html_e( 'Use the contact form to get in touch, whether you want to schedule for a test-drive, make an offer for a vehicle, trade-in your vehicle for one or you want us to call you back.', 'autoroyal' ); ?></p>

							    <form id="autoroyal-contact-dealer" class="contact-form" action="<?php echo admin_url('admin-ajax.php'); ?>"  method="post">
							      
							      	<div class="inputs-side">

							      		<div class="row">

							      			<div class="col-md-4">

									            <div class="form-group mb-0">
									              	<label for="userName"><?php esc_html_e('Your Name', 'autoroyal' ); ?> *</label>
									              	<input type="text" class="form-control" id="userName" name="userName" placeholder="John Doe">
									              	<?php $name_error_text = get_option( 'autoroyal_contact_form_name_error' ); if(!empty($name_error_text)) { ?>
									              	<label id="userName-error" class="error" for="userName"><?php echo esc_attr($name_error_text); ?></label>
									              	<?php } ?>
									            </div>

								            </div>

								            <div class="col-md-4">

									            <div class="form-group mb-0">
									              	<label for="userMail"><?php esc_html_e('Email address', 'autoroyal' ); ?> *</label>
									              	<input type="email" class="form-control" id="userMail" name="userMail" placeholder="email@domain.com">
									              	<?php $email_error_text = get_option( 'autoroyal_contact_form_email_error' ); if(!empty($email_error_text)) { ?>
									              	<label id="userMail-error" class="error" for="userMail"><?php echo esc_attr($email_error_text); ?></label>
									              	<?php } ?>
									            </div>

								            </div>

								            <div class="col-md-4">

									            <div class="form-group mb-0">
									              	<label for="userPhone"><?php esc_html_e('Phone number', 'autoroyal' ); ?> *</label>
									              	<input type="text" class="form-control" id="userPhone" name="userPhone" placeholder="+123 456 7890">
									              	<?php $phone_error_text = get_option( 'autoroyal_contact_form_phone_error' ); if(!empty($phone_error_text)) { ?>
									              	<label id="userPhone-error" class="error" for="userPhone"><?php echo esc_attr($phone_error_text); ?></label>
									              	<?php } ?>
									            </div>

								            </div>

								            <div class="col-md-12">

									            <div class="form-group mb-0">
									              	<label for="textMessage"><?php esc_html_e('Message', 'autoroyal' ); ?></label>
									              	<textarea class="form-control" cols="30" rows="6" id="textMessage" name="textMessage"></textarea>
									            </div>

									            <button id="autoroyal-contact-dealer-submit" type="submit" class="btn btn-default">
									              	<?php esc_html_e('Send message', 'autoroyal' ); ?>
									            </button>

									            <?php

										        	$website_type = get_option("autoroyal_webiste_type");
													if( !empty($website_type) AND $website_type == "marketplace" ) {

														$user_id = get_the_author_meta('ID');
														$user_info = get_userdata( $user_id );
														$email_to = $user_info->user_email;

														if(!empty($vehicle_location_email)) { 
															$email_to = esc_attr($vehicle_location_email); 
														}

													} else {

														if(!empty($vehicle_location_email)) { 
															$email_to = esc_attr($vehicle_location_email); 
														} else {
															$email_to = get_option('admin_email');
														}

													}

										        ?>

									            <input type="hidden" name="dealer_email" value="<?php echo esc_attr($email_to); ?>" />

									            <input type="hidden" name="action" value="contactCarDealerForm" />
												<?php wp_nonce_field( 'contactCarDealerForm_html', 'contactCarDealerForm_nonce' ); ?>

											</div>

										</div>

							      	</div>
							      	<div class="clearfix"></div>

							    </form>

							</div>
					      </div>
					    </div>
					  </div>
					</div>

				</div>

			</div>
            
        </div>

    </div>

    <div class="container">

		<div id="autoroyal-inventory">

			<div class="row mt-5">

				<?php 

					if ( ! $cars ) : 

				?>
					<div class="col-md-12">
						<h4><?php esc_html_e( 'This dealer has no listings yet.', 'autoroyal' ); ?></h4>
					</div>
				<?php else : ?>
					<?php foreach ( $cars as $car ) : ?>

						<?php 

						$car_ID = $car->ID;

						$vehicle_year = esc_attr(get_post_meta($car_ID, 'vehicle_year',true));
						$vehicle_make = esc_attr(get_post_meta($car_ID, 'vehicle_make',true));
						$vehicle_model = esc_attr(get_post_meta($car_ID, 'vehicle_model',true));
						$vehicle_trim_desc_init = esc_attr(get_post_meta($car_ID, 'vehicle_trim_desc_init',true));
						$vehicle_make_desc_init = esc_attr(get_post_meta($car_ID, 'vehicle_make_desc_init',true));
						$vehicle_stock = esc_attr(get_post_meta($car_ID, 'vehicle_stock',true));
						$vehicle_vin = esc_attr(get_post_meta($car_ID, 'vehicle_vin',true));

						$vehicle_exterior_color = get_the_terms($car_ID, 'vehicle_exterior_color' );
						if(!empty($vehicle_exterior_color)) {
							$color      = autoroyal_get_term_color( $vehicle_exterior_color[0]->term_id, true );
							$color_id   = $vehicle_exterior_color[0]->term_id;
							$color_name = $vehicle_exterior_color[0]->name;
						} else {
							$color_name = "";
							$color_id   = "";
						}

						$vehicle_mileage = esc_attr(get_post_meta($car_ID, 'vehicle_mileage',true));

						$vehicle_cost = esc_attr(get_post_meta($car_ID, 'vehicle_cost',true));
						$vehicle_retail_price = esc_attr(get_post_meta($car_ID, 'vehicle_retail_price',true));
						$vehicle_discounted_price = esc_attr(get_post_meta($car_ID, 'vehicle_discounted_price',true));
						$price = esc_attr(get_post_meta($car_ID, 'vehicle_price',true));

						$vehicle_image_gallery = get_post_meta($car_ID, 'vehicle_image_gallery',true);
						$vehicle_image_extended_gallery = get_post_meta($car_ID, 'vehicle_image_extended_gallery',true);
						$vehicle_image_url = "";

						if(!empty($vehicle_image_gallery[0]['url'])) {

							$vehicle_image_url = $vehicle_image_gallery[0]['url'];

						} elseif(!empty($vehicle_image_extended_gallery[0]['url'])) {

							$vehicle_image_url = $vehicle_image_extended_gallery[0]['url'];

						}

						$vehicle_cover_image = get_post_meta($car_ID, 'vehicle_cover_image',true);
						if(!empty($vehicle_cover_image)) {
							$vehicle_image_url = $vehicle_cover_image;
						}

						$vehicle_engine_volume_l = esc_attr(get_post_meta($car_ID, 'vehicle_engine_volume_l',true));
						$vehicle_power_hp = esc_attr(get_post_meta($car_ID, 'vehicle_power_hp',true));

						$vehicle_drive = get_the_terms($car_ID, 'vehicle_drive' );
						$terms_vehicle_drive = $vehicle_drive[0]->name;

						// Cars meta
	                    $vehicle_consumption_urban = esc_attr(get_post_meta($car_ID, 'vehicle_consumption_urban',true));
	                    $vehicle_consumption_highway = esc_attr(get_post_meta($car_ID, 'vehicle_consumption_highway',true));

	                    $terms_vehicle_fuel_type = "";
	                    $terms_vehicle_fuel_type_id = "";
	                    $vehicle_fuel_type = get_the_terms($car_ID, 'vehicle_fuel_type' );
	                    if ($vehicle_fuel_type && ! is_wp_error($vehicle_fuel_type)) :
	                        $terms_vehicle_fuel_type = $vehicle_fuel_type[0]->name;
	                        $terms_vehicle_fuel_type_id = $vehicle_fuel_type[0]->term_id;
	                    endif;

	                    $terms_vehicle_transmission = "";
	                    $terms_vehicle_transmission_id = "";
	                    $vehicle_transmission = get_the_terms($car_ID, 'vehicle_transmission' );
	                    if ($vehicle_transmission && ! is_wp_error($vehicle_transmission)) :
	                        $terms_vehicle_transmission = $vehicle_transmission[0]->name;
	                        $terms_vehicle_transmission_id = $vehicle_transmission[0]->term_id;
	                    endif;

	                    $vehicle_name = $vehicle_year . " " . $vehicle_make . " " . $vehicle_model;

	                    $vehicle_condition = esc_attr(get_post_meta($car_ID, 'vehicle_condition',true));

	                    //
	                    $terms_vehicle_body_style = "";
	                    $terms_vehicle_body_style_name = "";
	                    $vehicle_body_style = get_the_terms($car_ID, 'vehicle_body_style' );
	                    if ($vehicle_body_style && ! is_wp_error($vehicle_body_style)) :
	                        $terms_vehicle_body_style = $vehicle_body_style[0]->term_id;
	                        $terms_vehicle_body_style_name = $vehicle_body_style[0]->name;
	                    endif;

	                    $total_photos = autoroyal_count_photos( $car_ID );

	                    //
	                    $vehicle_exterior_color = get_the_terms($car_ID, 'vehicle_exterior_color' );
	                    if(!empty($vehicle_exterior_color)) {
	                        $color      = autoroyal_get_term_color( $vehicle_exterior_color[0]->term_id, true );
	                        $color_id   = $vehicle_exterior_color[0]->term_id;
	                        $color_name = $vehicle_exterior_color[0]->name;
	                        $color_type = get_term_meta( $vehicle_exterior_color[0]->term_id, 'color_type', true );
	                    } else {
	                        $color_type = "";
	                    }

						$vehicle_engine_volume_l = esc_attr(get_post_meta($car_ID, 'vehicle_engine_volume_l',true));

						$vehicle_carfax_link = esc_attr(get_post_meta($car_ID, 'vehicle_carfax_link',true));
						$vehicle_autocheck_link = esc_attr(get_post_meta($car_ID, 'vehicle_autocheck_link',true));
						$vehicle_pre_owned = esc_attr(get_post_meta($car_ID, 'vehicle_pre_owned',true));

					?>

					<!-- Grid View -->
					<div class="col-lg-3 col-md-6 col-sm-12 autoroyal-animated-blk autoroyal-vehicle-grid-block" data-make="<?php echo esc_attr($vehicle_make); ?>" data-model="<?php echo esc_attr($vehicle_model); ?>" data-price="<?php if(!empty($price)) { echo esc_attr($price); } else { echo "0"; } ?>" data-year="<?php echo esc_attr($vehicle_year); ?>" data-mileage="<?php echo esc_attr($vehicle_mileage); ?>" data-condition="<?php echo esc_attr($vehicle_condition); ?>" data-fuel="<?php echo esc_attr($terms_vehicle_fuel_type_id); ?>" data-transmission="<?php echo esc_attr($terms_vehicle_transmission_id); ?>" data-bodystyle="<?php echo esc_attr($terms_vehicle_body_style); ?>" data-color="<?php if(!empty($color_id)) { echo esc_attr($color_id); } else { echo "0"; } ?>" data-favorite-grid="<?php echo esc_attr($car_ID); ?>"> 

						<div class="autoroyal-vehicle-block autoroyal-block-style-1">
							
							<div class="autoroyal-vehicle-block-image-wrapper">
								
								<?php if(!empty($vehicle_image_url)) { ?>
								<a data-open-id="car-gallery-grid-<?php echo esc_attr($car_ID); ?>" class="autoroyal-vehicle-block-image-gallery open-album" href="#"><i class="fa fa-file-image-o" aria-hidden="true"></i><?php if($total_photos['total'] > "0") {?><span><?php echo esc_attr($total_photos['total']); ?></span><?php } ?></a>
								
								<?php foreach ( $total_photos['image'] as $image ) { ?>
								<a rel="car-gallery-grid-<?php echo esc_attr($car_ID); ?>"  class="fancybox" href="<?php echo esc_url($image); ?>"></a>
								<?php } ?>

								<?php } ?>
								<a class="autoroyal-vehicle-block-image-quick-view" href="#" data-toggle="modal" data-target="#quick-view-block" data-car-id="<?php echo esc_attr($car_ID); ?>"><i class="fa fa-eye" aria-hidden="true"></i></a>

								<?php if(!empty($vehicle_image_url)) { $foto_large = autoroyal_get_resized_image( $vehicle_image_url, 'autoroyal-thumbnail-image' ); ?>
								<a href="<?php echo get_permalink( $car_ID ); ?>" class="autoroyal-vehicle-block-thumbnail" style="background-image: url(<?php echo esc_url($foto_large); ?>);"></a>
								<?php } else { ?>
								<a href="<?php echo get_permalink( $car_ID ); ?>" class="autoroyal-vehicle-block-no-thumbnail">
									<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 538.043 538.043" style="enable-background:new 0 0 538.043 538.043;" xml:space="preserve"><path d="M526.745,312.866h-15.005c-3.706-18.736-10.307-44.359-20.792-57.941c-49.022-63.573-110.574-97.697-187.945-97.697
		c-50.134,0-82.787,4.902-99.789,14.981c-2.295,1.363-9.063,5.369-27.344,42.135c-26.687,0.419-97.278,5.261-131.127,43.414
		c-16.99,19.143-23.746,39.719-26.352,55.096h-7.078C5.058,312.854,0,317.924,0,324.177c0,6.241,5.058,11.323,11.311,11.323h5.655
		c0.048,0.61,0.096,1.076,0.108,1.219c0.598,5.739,5.464,10.115,11.239,10.115h14.252c8.752,19.968,28.66,33.981,51.831,33.981
		s43.079-14.013,51.855-33.981h215.982c8.74,19.968,28.66,33.981,51.832,33.981c23.172,0,43.091-14.013,51.832-33.981h38.165
		c0.084,0,0.155,0,0.215,0c6.253,0,11.335-5.07,11.335-11.323h11.131c6.241,0,11.299-5.081,11.299-11.323
		C538.044,317.924,532.986,312.866,526.745,312.866z M94.397,358.169c-18.724,0-33.968-15.232-33.968-33.981
		c0-18.748,15.232-33.992,33.968-33.992c18.748,0,34.004,15.245,34.004,33.992C128.402,342.937,113.145,358.169,94.397,358.169z
		 M295.183,226.433c0,3.133-2.523,5.667-5.667,5.667h-87.964c-1.937,0-3.742-1.016-4.783-2.666
		c-1.052-1.662-1.148-3.731-0.287-5.476c4.149-8.537,11.67-23.327,15.269-26.4c11.981-7.616,36.001-11.227,72.002-11.227
		c1.961,0,3.922,0.024,5.906,0.06c3.061,0.072,5.512,2.595,5.512,5.667L295.183,226.433L295.183,226.433z M306.53,226.433V193.66
		c0-1.614,0.705-3.157,1.901-4.233c1.208-1.076,2.81-1.614,4.424-1.399c39.863,4.687,70.519,17.875,82.058,35.272
		c1.16,1.746,1.244,3.97,0.263,5.811c-0.968,1.841-2.905,2.989-4.998,2.989h-78.004C309.077,232.1,306.53,229.565,306.53,226.433z
		 M414.067,358.169c-18.724,0-33.98-15.232-33.98-33.981c0-18.748,15.244-33.992,33.98-33.992c18.736,0,33.98,15.245,33.98,33.992
		C448.047,342.937,432.791,358.169,414.067,358.169z"/></svg>

								</a>
								<?php } ?>
							</div>

							<div class="autoroyal-vehicle-block-meta">

								<a class="heading" href="<?php echo get_permalink( $car_ID ); ?>"><span class="productYear"><?php echo esc_attr($vehicle_year); ?></span> <?php echo esc_attr($vehicle_make_desc_init); ?> <?php echo esc_attr($vehicle_model); ?></a>

								<ul class="autoroyal-vehicle-block-specs">

									<?php if(!empty($vehicle_mileage)) { ?>

										<li class="autoroyal-vehicle-transmission">

											<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve"><path d="M435.143,129.356c-6.796-6.795-17.463-7.797-25.407-2.384c-29.926,20.398-180.03,122.969-196.162,139.1
			c-23.394,23.395-23.394,61.459,0,84.854c11.697,11.696,27.063,17.545,42.427,17.545c15.364,0,30.729-5.849,42.427-17.545
			c16.131-16.132,118.701-166.236,139.1-196.162C442.939,146.821,441.938,136.153,435.143,129.356z M270.142,322.641
			c-7.797,7.799-20.486,7.799-28.283,0c-7.798-7.797-7.799-20.482-0.004-28.28c6.268-6.194,48.885-36.588,101.319-73.035
			C306.728,273.76,276.334,316.375,270.142,322.641z"/><path d="M92.231,401.523l-24.69,12.044C49.475,381.325,40,345.338,40,308.499c0-26.991,4.977-52.842,14.06-76.683l28.291,13.57
			c2.79,1.338,5.735,1.972,8.636,1.972c7.453,0,14.608-4.185,18.047-11.355c4.776-9.959,0.576-21.906-9.384-26.683l-27.932-13.398
			c34.717-56.62,94.784-96.095,164.283-102.505v30.081c0,11.046,8.954,20,20,20c11.046,0,20-8.954,20-20V93.402
			c23.828,2.169,46.884,8.237,68.771,18.117c10.065,4.545,21.912,0.066,26.457-9.999c4.545-10.068,0.068-21.913-10-26.458
			C328.063,60.091,292.659,52.499,256,52.499c-68.38,0-132.667,26.628-181.02,74.98C26.629,175.832,0,240.119,0,308.499
			c0,50.53,14.998,99.674,43.373,142.115c3.822,5.715,10.141,8.886,16.639,8.886c2.954,0,5.946-0.655,8.757-2.026l41-20
			c9.928-4.843,14.05-16.816,9.207-26.744C114.133,400.803,102.159,396.682,92.231,401.523z"/><path d="M489.436,203.271c-4.544-10.067-16.387-14.547-26.458-10c-10.067,4.545-14.544,16.39-9.999,26.457
			C465.601,247.686,472,277.553,472,308.499c0,36.894-9.506,72.939-27.625,105.218l-25.777-12.275
			c-9.971-4.748-21.906-0.515-26.656,9.459c-4.749,9.972-0.514,21.907,9.459,26.656l42,20c2.763,1.315,5.692,1.944,8.588,1.944
			c6.5,0,12.82-3.175,16.637-8.886C497.002,408.173,512,359.029,512,308.499C512,271.84,504.408,236.436,489.436,203.271z"/></svg>


											<span><?php echo autoroyal_number($vehicle_mileage); ?> <?php $unit_system = get_option( 'autoroyal_measurement_type' ); if( empty($unit_system) OR $unit_system == "metric") { echo "Km"; } else { echo "Mi"; } ?></span>

										</li>

									<?php } else { ?>

										<li class="autoroyal-vehicle-condition">
											<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="48.997px" height="48.998px" viewBox="0 0 48.997 48.998" style="enable-background:new 0 0 48.997 48.998;" xml:space="preserve"><path d="M45.961,18.702c-0.033-0.038-0.061-0.075-0.1-0.112l-1.717-1.657c1.424-0.323,2.957-1.516,2.957-2.74
	c0-1.426-1.979-1.932-3.668-1.932c-1.766,0-1.971,1.21-1.992,2.065l-4.43-4.271c-0.9-0.891-2.607-1.592-3.883-1.592H24.5h-0.002
	h-8.63c-1.275,0-2.981,0.701-3.882,1.592l-4.429,4.271c-0.023-0.855-0.228-2.065-1.992-2.065c-1.691,0-3.669,0.506-3.669,1.932
	c0,1.224,1.534,2.417,2.958,2.74l-1.717,1.657c-0.039,0.037-0.066,0.074-0.1,0.112C1.2,20.272,0,23.184,0,25.297v6.279
	c0,1.524,0.601,2.907,1.572,3.938v2.435c0,1.424,1.192,2.585,2.658,2.585h3.214c1.466,0,2.657-1.159,2.657-2.585v-0.623h14.397
	H24.5h14.396v0.623c0,1.426,1.19,2.585,2.658,2.585h3.213c1.467,0,2.657-1.161,2.657-2.585v-2.435
	c0.972-1.031,1.572-2.414,1.572-3.938v-6.279C48.998,23.184,47.798,20.272,45.961,18.702z M13.613,11.953
	c0.623-0.519,1.712-0.913,2.255-0.913h8.63H24.5h8.63c0.543,0,1.632,0.394,2.255,0.913l5.809,5.63H24.5h-0.002H7.805L13.613,11.953
	z M1.993,24.347c0-1.546,1.21-2.801,2.704-2.801c1.493,0,6.372,2.864,6.372,4.41s-4.879,1.188-6.372,1.188
	C3.203,27.144,1.993,25.894,1.993,24.347z M10.102,34.573H9.587H9.072l-3.055,0.005c-0.848-0.264-1.446-0.572-1.869-0.903
	c-0.214-0.167-0.378-0.341-0.506-0.514c-0.129-0.175-0.223-0.347-0.284-0.519c-0.38-1.074,0.405-2.061,0.405-2.061h5.214
	l3.476,3.99L10.102,34.573L10.102,34.573z M31.996,34.575H24.5h-0.002h-7.496c-1.563,0-2.832-1.269-2.832-2.831h10.328H24.5h10.328
	C34.828,33.308,33.559,34.575,31.996,34.575z M32.654,29.812H24.5h-0.002h-8.154c-1.7,0-3.08-2.096-3.08-4.681h11.234H24.5h11.234
	C35.734,27.717,34.354,29.812,32.654,29.812z M45.641,32.644c-0.062,0.172-0.156,0.344-0.285,0.518
	c-0.127,0.173-0.291,0.347-0.506,0.514c-0.422,0.331-1.021,0.641-1.869,0.903l-3.055-0.005h-0.515h-0.515h-2.353l3.478-3.99h5.213
	C45.234,30.583,46.02,31.568,45.641,32.644z M44.301,27.144c-1.492,0-6.371,0.356-6.371-1.188s4.879-4.41,6.371-4.41
	c1.494,0,2.704,1.255,2.704,2.801C47.005,25.892,45.795,27.144,44.301,27.144z"/></svg>

											<span><?php echo esc_attr($vehicle_condition); ?></span>
										</li>

									<?php } ?>

									<?php if(!empty($terms_vehicle_transmission)) { ?>

										<li class="autoroyal-vehicle-transmission">

											<svg xmlns="http://www.w3.org/2000/svg" height="200" width="200" fill="#000000" data-name="Layer 1" viewBox="0 0 100 100" x="0px" y="0px"><path d="M30,94H70A24,24,0,0,0,94,70V30A24,24,0,0,0,70,6H30A24,24,0,0,0,6,30V70A24,24,0,0,0,30,94ZM14,30A16,16,0,0,1,30,14H70A16,16,0,0,1,86,30V70A16,16,0,0,1,70,86H30A16,16,0,0,1,14,70Z"/><path d="M30,74a4,4,0,0,0,4-4V54H46V70a4,4,0,0,0,8,0V54h8A12,12,0,0,0,74,42V30a4,4,0,0,0-8,0V42a4,4,0,0,1-4,4H54V30a4,4,0,0,0-8,0V46H34V30a4,4,0,0,0-8,0V70A4,4,0,0,0,30,74Z"/><circle cx="70" cy="70" r="4"/></svg>

											<span><?php echo esc_attr($terms_vehicle_transmission); ?></span>

										</li>

									<?php } ?>

								</ul>

								<h4 class="autoroyal-vehicle-block-meta-price"><?php echo autoroyal_price($price); ?></h4>

								<?php 

	                  				$listing_id = $car_ID; 

	                  				if ( ! empty( $cars_in_compare ) and in_array( $listing_id, $cars_in_compare ) ) {
										$car_compare_status       = esc_html__( 'Remove from compare', 'autoroyal' );
										$car_compare_status_class = "added";
									} else {
										$car_compare_status       = esc_html__( 'Add to compare', 'autoroyal' );
										$car_compare_status_class = "";
									}

	              				?>

	                  			<a href="#" class="fav-button btn btn-danger pull-right add-to-compare <?php echo esc_attr($car_compare_status_class); ?>" data-id="<?php echo esc_attr($listing_id); ?>" data-title="<?php echo esc_attr($vehicle_name); ?>" data-toggle="tooltip" data-placement="top"  data-original-title="<?php echo esc_attr($car_compare_status); ?>">
	                  				<svg class="add-to-compare-plus" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 200 200" style="enable-background:new 0 0 200 200;" xml:space="preserve"><path d="M129.2,72.3l-23.1,23.1c-11.2-3.4-23,2.8-26.4,14s2.8,23,14,26.4c11.2,3.4,23-2.8,26.4-14c1.7-5.4,1.1-11.2-1.6-16.2l22-22
		L129.2,72.3z M100,120.7c-2.8,0-5.1-2.3-5.1-5.1s2.3-5.1,5.1-5.1c2.8,0,5.1,2.3,5.1,5.1l0,0C105.1,118.4,102.8,120.7,100,120.7z"/><g><path d="M40.8,30.2c0-5.1,2.2-8,8-8c5.8,0,8,2.9,8,8V54h23.5c4.2,0,8,2.2,8,8c0,5.8-3.8,8-8,8H56.8v23.5c0,5.1-2.2,8-8,8
			c-5.8,0-8-2.9-8-8V70H17.3c-4.2,0-8-2.2-8-8c0-5.8,3.8-8,8-8h23.5V30.2z"/></g><g><path d="M162.6,48c-15.4-15-34.7-23.5-54.6-25.4v15.3c14.2,1.5,27.7,7,38.9,16l-12.2,12.2L146,77.4l12.2-12.2
			c9,11.1,14.5,24.6,16,38.9H157v16h17.2c-1.5,14.2-7,27.7-16,38.9L146,146.8l-11.3,11.3l17.8,17.8c0.1,0.1,0.2,0.3,0.3,0.4
			c3.1,3.1,8.2,3.1,11.3,0c0,0,0,0,0,0C199.1,140.4,198.4,83,162.6,48z"/><path d="M41.8,159c-8.9-11-14.4-24.4-16-38.5H9.7c1.9,20.3,10.6,40.2,26.2,55.8c3.1,3.1,8.2,3.1,11.3,0c0,0,0,0,0,0
			c0.1-0.1,0.2-0.3,0.3-0.4l17.8-17.8L54,146.8L41.8,159z"/></g></svg>
									<svg class="add-to-compare-minus" version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 200 200" style="enable-background:new 0 0 200 200;" xml:space="preserve"><path d="M129.2,72.3l-23.1,23.1c-11.2-3.4-23,2.8-26.4,14s2.8,23,14,26.4c11.2,3.4,23-2.8,26.4-14c1.7-5.4,1.1-11.2-1.6-16.2l22-22
		L129.2,72.3z M100,120.7c-2.8,0-5.1-2.3-5.1-5.1s2.3-5.1,5.1-5.1c2.8,0,5.1,2.3,5.1,5.1l0,0C105.1,118.4,102.8,120.7,100,120.7z"/><g><path d="M162.6,48c-15.4-15-34.7-23.5-54.6-25.4v15.3c14.2,1.5,27.7,7,38.9,16l-12.2,12.2L146,77.4l12.2-12.2
			c9,11.1,14.5,24.6,16,38.9H157v16h17.2c-1.5,14.2-7,27.7-16,38.9L146,146.8l-11.3,11.3l17.8,17.8c0.1,0.1,0.2,0.3,0.3,0.4
			c3.1,3.1,8.2,3.1,11.3,0l0,0C199.1,140.4,198.4,83,162.6,48z"/><path d="M41.8,159c-8.9-11-14.4-24.4-16-38.5H9.7c1.9,20.3,10.6,40.2,26.2,55.8c3.1,3.1,8.2,3.1,11.3,0l0,0
			c0.1-0.1,0.2-0.3,0.3-0.4l17.8-17.8L54,146.8L41.8,159z"/></g><path d="M17.3,70.2h23.5v0h16v0h23.5c4.2,0,8-2.2,8-8s-3.8-8-8-8H56.8h-16H17.3c-4.2,0-8,2.2-8,8S13.1,70.2,17.3,70.2z"/></svg>

	                  			</a>

								<?php 

									if( is_user_logged_in() ){

										$user_id = get_current_user_id();
		                				$listing_id = $car_ID;
		                				$user_type = "id";

		                			} else {

		                				$user_id = autoroyalGetIP();
		                				$listing_id = $car_ID;
		                				$user_type = "ip";

		                			}

								?>

								<a href="#" type="button" class="fav-button btn btn-danger pull-right favorited add-to-favorite" data-id="<?php echo esc_attr($listing_id); ?>" data-user-id="<?php echo esc_attr($user_id); ?>" data-user-type="<?php echo esc_attr($user_type); ?>"> 
									<?php if( is_added_to_favorite( $user_type, $user_id, $listing_id ) ){ ?><i class="fa fa-heart"></i><?php } else { ?><i class="far fa-heart"></i><?php } ?>
								</a>

							</div>

						</div>

					</div>
					<!-- End Grid View -->

					<?php endforeach; ?>
				<?php endif; ?>

				<div class="col-md-12"> 

					<?php get_autoroyal_template( 'pagination.php', array( 'max_num_pages' => $max_num_pages ) ); ?>

				</div>

			</div>

		</div>

	</div>

</main><!-- .site-main -->
<?php get_footer(); exit(); ?>